=== debian/changelog ===
libdessert0.87 (0.87.2-1build1) saucy; urgency=low

  * Rebuild for libsnmp30.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:25:52 +0100

libdessert0.87 (0.87.2-1) unstable; urgency=low

  * New upstream release
    Upstream now provides the DESSERT-MIB.txt to be installed in
    /usr/share/mibs
  * Adjusted libdessert0.87.install to reflect that fact

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Sat, 30 Jan 2010 12:47:46 +0100

libdessert0.87 (0.87.1-3) unstable; urgency=low

  * Edited the watch file.

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Sun, 17 Jan 2010 14:41:11 +0100

libdessert0.87 (0.87.1-2) unstable; urgency=low

  * debian/control: changed depends to uthash-dev to reflect the change
    in the package name 

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Thu, 14 Jan 2010 17:47:04 +0100

libdessert0.87 (0.87.1-1) unstable; urgency=low

  * New upstream release 

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Wed, 13 Jan 2010 16:00:30 +0100

libdessert0.87 (0.87.0-2) unstable; urgency=low

  * Make use of dh_makeshlibs
  * Fixed some issues in debian/control brought to attention by lintian 

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Wed, 13 Jan 2010 13:03:58 +0100

libdessert0.87 (0.87.0-1) unstable; urgency=low

  * Initial release. (Closes: #563922: ITP: libdessert -- Framework for
    the implementation of proactive, reactive, and hybrid routing
    protocols)

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Thu, 07 Jan 2010 19:07:52 +0100
