=== debian/control ===
Source: libdessert0.87
Priority: extra
Maintainer: David Gutzmann <gutzmann@inf.fu-berlin.de>
Build-Depends: debhelper (>= 7), libpcap0.8-dev, libcli-dev, libsnmp-dev, uthash-dev
Standards-Version: 3.8.3
Section: libs
Homepage: http://www.des-testbed.net/DES-SERT

Package: libdessert0.87-dev
Section: libdevel
Architecture: any
Provides: libdessert-dev
Conflicts: libdessert-dev
Replaces: libdessert-dev
Depends: libdessert0.87 (= ${binary:Version}), ${misc:Depends}, libcli-dev, libpcap0.8-dev, uthash-dev
Description: header file and documentation for libdessert0.87
 This packet contains the header file and documentation for the libdessert
 library. 
 .
 DES-SERT is a framework written as ANSI-C library. While generally 
 usable in many application scenarios, it is primarily used in DES-Mesh, 
 the multi-transceiver wireless mesh network testbed part of the 
 DES-Testbed. DES-SERT enables the implementation of routing protocols 
 via an underlay in user space.
 .
 DES-SERT routing daemons utilize libpcap to receive packets from the 
 network resp. to send them. Locally generated packets or packets destined 
 to this host use a TUN or TAP interface as access point to the operating 
 system protocol stack.
 .

Package: libdessert0.87
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Description: a simple and extensible routing-framework for testbeds
 DES-SERT is a framework written as ANSI-C library. While generally 
 usable in many application scenarios, it is primarily used in DES-Mesh, 
 the multi-transceiver wireless mesh network testbed part of the 
 DES-Testbed. DES-SERT enables the implementation of routing protocols 
 via an underlay in user space.
 .
 DES-SERT routing daemons utilize libpcap to receive packets from the 
 network resp. to send them. Locally generated packets or packets destined 
 to this host use a TUN or TAP interface as access point to the operating 
 system protocol stack.
 .
