=== debian/watch ===
version=3

http://www.des-testbed.net/sites/default/files/DES-SERT/libdessert0.87(.*)\.tar\.gz
